curl --request GET \
--url https://dev.intermezzo.ai/germany/wage-types/{wage_type_number} \
--header 'Authorization: Bearer <token>'{
"id": 123,
"wageTypeNumber": 123,
"name": "<string>",
"isTotalGrossComponent": true,
"componentType": "gross_earning",
"taxTreatment": "recurring_wage",
"taxCertificateLineItem": "<string>",
"socialSecurityTreatment": "recurring_wage",
"isSvRelevantComponent": true,
"isReimbursableAag": true,
"isAccidentInsuranceRelevant": true,
"isGlComponent": true,
"isAverageEarningsComponent": true,
"garnishmentTreatment": "full",
"isMinimumWageComponent": true,
"validFrom": "2023-12-25",
"validTo": "2023-12-25"
}Get a German wage type by its wage type number
curl --request GET \
--url https://dev.intermezzo.ai/germany/wage-types/{wage_type_number} \
--header 'Authorization: Bearer <token>'{
"id": 123,
"wageTypeNumber": 123,
"name": "<string>",
"isTotalGrossComponent": true,
"componentType": "gross_earning",
"taxTreatment": "recurring_wage",
"taxCertificateLineItem": "<string>",
"socialSecurityTreatment": "recurring_wage",
"isSvRelevantComponent": true,
"isReimbursableAag": true,
"isAccidentInsuranceRelevant": true,
"isGlComponent": true,
"isAverageEarningsComponent": true,
"garnishmentTreatment": "full",
"isMinimumWageComponent": true,
"validFrom": "2023-12-25",
"validTo": "2023-12-25"
}Get token from Auth0 and paste it here
Successful Response
Response schema for German wage type
Database ID
The business key of the wage type
The name of the wage type
Component of the total gross (Gesamtbrutto)
The component type
gross_earning, gross_deduction, net_earning, net_deduction The tax treatment
recurring_wage, one_time_payment, flat_rate_tax, tax_free Tax certificate line item
The social security treatment
recurring_wage, one_time_payment, social_security_free Component of Arbeitsentgelt
Reimbursable under AAG
Relevant for accident insurance
Component of base wage
Component of average earnings
Garnishment treatment
full, non_garnishable, partial Component of minimum wage
Was this page helpful?